package com.sky.common.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 账号不存在异常
 */
@Slf4j
public class AccountNotFoundException extends BaseException {
    /**
     * Constructs a new runtime exception with {@code null} as its
     * detail message.  The cause is not initialized, and may subsequently be
     * initialized by a call to {@link #initCause}.
     */
    public AccountNotFoundException() {
    }

    public AccountNotFoundException(String message) {
        super(message);
        log.error("账号不存在异常:{}", message);
    }
}
